List Opportunities

This endpoint retrieves a detailed list of opportunities. The endpoint supports filtering and sorting based on various criteria.

An opportunity is a sales opportunity for an active client managed by the MSP, enriched with information such as status, stage, associated contact, and other sales-related information.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
^(eq|in):.+$

Filters records by using a query string on the field id.

Supports comparison operators: eq, in.

Query examples:

  • filter[id]=example_value - to filter for exact match.

  • filter[id]=eq:example_value - to filter for exact match.

  • filter[id]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(cont|eq|in):.+$

Filters records by using a query string on the field title.

Supports comparison operators: eq, in, cont.

Query examples:

  • filter[title]=example_value - to filter for exact match.

  • filter[title]=eq:example_value - to filter for exact match.

  • filter[title]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

  • filter[title]=cont:word - to filter using a partial match.

string
^(eq|in):.+$

Filters records by using a query string on the field source_status.

Supports comparison operators: eq, in.

Query examples:

  • filter[source_status]=example_value - to filter for exact match.

  • filter[source_status]=eq:example_value - to filter for exact match.

  • filter[source_status]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field source_stage.

Supports comparison operators: eq, in.

Query examples:

  • filter[source_stage]=example_value - to filter for exact match.

  • filter[source_stage]=eq:example_value - to filter for exact match.

  • filter[source_stage]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq):.+$

Filters records by using a query string on the field is_active.

Supports comparison operators: eq.

Query examples:

  • filter[is_active]=true - to filter for exact match.

  • filter[is_active]=eq:true - to filter for exact match.

string
^(eq|gt|gte|lt|lte):.+$

Filters records by using a query string on the field probability.

Supports comparison operators: eq, gt, gte, lt, lte.

Query examples:

  • filter[probability]=42 - to filter for exact match.

  • filter[probability]=eq:42 - to filter for exact match.

  • filter[probability]=gt:42 - to filter for greater than

  • filter[probability]=gte:42 - to filter for greater than or equal to

  • filter[probability]=lt:42 - to filter for less than

  • filter[probability]=lte:42 - to filter for less than or equal to

string
^(eq|in):.+$

Filters records by using a query string on the field client.id.

Supports comparison operators: eq, in.

Query examples:

  • filter[client.id]=example_value - to filter for exact match.

  • filter[client.id]=eq:example_value - to filter for exact match.

  • filter[client.id]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(cont|eq|in):.+$

Filters records by using a query string on the field client.name.

Supports comparison operators: eq, in, cont.

Query examples:

  • filter[client.name]=example_value - to filter for exact match.

  • filter[client.name]=eq:example_value - to filter for exact match.

  • filter[client.name]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

  • filter[client.name]=cont:word - to filter using a partial match.

string
^(eq|in):.+$

Filters records by using a query string on the field contact.id.

Supports comparison operators: eq, in.

Query examples:

  • filter[contact.id]=example_value - to filter for exact match.

  • filter[contact.id]=eq:example_value - to filter for exact match.

  • filter[contact.id]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field responsible_member.id.

Supports comparison operators: eq, in.

Query examples:

  • filter[responsible_member.id]=example_value - to filter for exact match.

  • filter[responsible_member.id]=eq:example_value - to filter for exact match.

  • filter[responsible_member.id]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field record_lineage.source_record_id.

Supports comparison operators: eq, in.

Query examples:

  • filter[record_lineage.source_record_id]=example_value - to filter for exact match.

  • filter[record_lineage.source_record_id]=eq:example_value - to filter for exact match.

  • filter[record_lineage.source_record_id]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field record_lineage.integration_configuration.id.

Supports comparison operators: eq, in.

Query examples:

  • filter[record_lineage.integration_configuration.id]=example_value - to filter for exact match.

  • filter[record_lineage.integration_configuration.id]=eq:example_value - to filter for exact match.

  • filter[record_lineage.integration_configuration.id]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field record_lineage.integration_configuration.vendor.id.

Supports comparison operators: eq, in.

Query examples:

  • filter[record_lineage.integration_configuration.vendor.id]=example_value - to filter for exact match.

  • filter[record_lineage.integration_configuration.vendor.id]=eq:example_value - to filter for exact match.

  • filter[record_lineage.integration_configuration.vendor.id]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field record_lineage.integration_configuration.vendor.brand_name.

Supports comparison operators: eq, in.

Query examples:

  • filter[record_lineage.integration_configuration.vendor.brand_name]=example_value - to filter for exact match.

  • filter[record_lineage.integration_configuration.vendor.brand_name]=eq:example_value - to filter for exact match.

  • filter[record_lineage.integration_configuration.vendor.brand_name]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(gt|gte|lt|lte):.+$

Filters records by using a query string on the field record_created_at.

Supports comparison operators: gt, gte, lt, lte.

Query examples:

  • filter[record_created_at]=gt:2023-01-01T00:00:00Z - to filter for dates after

  • filter[record_created_at]=gte:2023-01-01T00:00:00Z - to filter for dates after or on

  • filter[record_created_at]=lt:2023-01-01T00:00:00Z - to filter for dates before

  • filter[record_created_at]=lte:2023-01-01T00:00:00Z - to filter for dates before or on

string
^(gt|gte|lt|lte):.+$

Filters records by using a query string on the field record_updated_at.

Supports comparison operators: gt, gte, lt, lte.

Query examples:

  • filter[record_updated_at]=gt:2023-01-01T00:00:00Z - to filter for dates after

  • filter[record_updated_at]=gte:2023-01-01T00:00:00Z - to filter for dates after or on

  • filter[record_updated_at]=lt:2023-01-01T00:00:00Z - to filter for dates before

  • filter[record_updated_at]=lte:2023-01-01T00:00:00Z - to filter for dates before or on

string
^[+-]?(title|source_status|source_stage|is_active|probability|client\.id|client\.name|contact\.id|responsible_member\.id|record_created_at|record_updated_at)(,[+-]?(title|source_status|source_stage|is_active|probability|client\.id|client\.name|contact\.id|responsible_member\.id|record_created_at|record_updated_at))*$

One or more sortable fields, separated by commas. Prefix with '+' to sort ascending or '-' to sort descending.

Sortable fields: title, source_status, source_stage, is_active, probability, client.id, client.name, contact.id, responsible_member.id, record_created_at, record_updated_at.

int32
1 to 200

The number of records to be returned in a single page

string

The pointer used to fetch a certain page of records

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json